Class | WSDL::SOAP::StandaloneServerStubCreator
In: | wsdl/soap/standaloneServerStubCreator.rb
Parent: | Object

### Methods

dump new

### Included Modules

ClassDefCreatorSupport

### Attributes

definitions | [R] |

### Public Class methods

new(definitions)

[Source]

    # File wsdl/soap/standaloneServerStubCreator.rb, line 24
      def initialize(definitions)
        @definitions = definitions
      end

### Public Instance methods

dump(service_name)

[Source]

    # File wsdl/soap/standaloneServerStubCreator.rb, line 28
      def dump(service_name)
        warn("- Standalone stub can have only 1 port for now.  So creating stub for the first port and rests are ignored.")
        warn("- Standalone server stub ignores port location defined in WSDL.  Location is http://localhost:10080/ by default.  Generated client from WSDL must be configured to point this endpoint manually.")
        port = @definitions.service(service_name).ports[0]
        dump_porttype(port.porttype.name)
      end

[Validate]